Package org.apache.felix.hc.generalchecks

## Class MemoryCheck

- java.lang.Object
- - org.apache.felix.hc.generalchecks.MemoryCheck

All Implemented Interfaces:
  `org.apache.felix.hc.api.HealthCheck`

    public class MemoryCheck
    extends Object
    implements org.apache.felix.hc.api.HealthCheck

### Nested Class Summary

Nested Classes
`static interface` `MemoryCheck.Config`

### Field Summary

Fields
`static String` `HC_LABEL`
`static String` `HC_NAME`

### Fields inherited from interface org.apache.felix.hc.api.HealthCheck

`ASYNC_CRON_EXPRESSION, ASYNC_INTERVAL_IN_SEC, KEEP_NON_OK_RESULTS_STICKY_FOR_SEC, MBEAN_NAME, NAME, RESULT_CACHE_TTL_IN_MS, TAGS`

### Constructor Summary

Constructors
`MemoryCheck()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate​(MemoryCheck.Config config)`
`org.apache.felix.hc.api.Result` `execute()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HC_NAME

    public static final String HC_NAME

See Also:
  Constant Field Values

#### HC_LABEL

    public static final String HC_LABEL

See Also:
  Constant Field Values

### Constructor Detail

#### MemoryCheck

    public MemoryCheck()

### Method Detail

#### activate

    protected void activate​(MemoryCheck.Config config)

#### execute

    public org.apache.felix.hc.api.Result execute()

Specified by:
  `execute` in interface `org.apache.felix.hc.api.HealthCheck`